Bug 1028779 - Intermittent 'entry point not found' issue with SLAViolation drools rule
Intermittent 'entry point not found' issue with SLAViolation drools rule
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Gary Brown
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 13:09 EST by Gary Brown
Modified: 2014-07-02 05:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-312 Major Closed Intermittent "entry point not found" issue with example Drools rules 2014-07-02 05:19:01 EDT

  None (edit)
Description Gary Brown 2013-11-10 13:09:00 EST
Description of problem:

Drools 6.0.0.CR5 appears to have introduced an intermittent issue where events being processed against the SLAViolation rule do not locate the 'ServiceResponseTimes' entry point.

With drools debug enabled, it shows:

15:47:59,902 INFO  [org.drools.compiler.kie.builder.impl.KieRepositoryImpl] (ServerService Thread Pool -- 66) KieModule was added:MemoryKieModule[ ReleaseId=org.default:artifact:1.0.0-SNAPSHOT]
15:47:59,901 INFO  [org.drools.compiler.kie.builder.impl.KieRepositoryImpl] (ServerService Thread Pool -- 72) KieModule was added:MemoryKieModule[ ReleaseId=org.default:artifact:1.0.0-SNAPSHOT]
15:48:00,040 DEBUG [org.drools.core.reteoo.ReteooRuleBase] (ServerService Thread Pool -- 66) Starting Engine in PHREAK mode
15:48:00,042 DEBUG [org.drools.core.reteoo.ReteooRuleBase] (ServerService Thread Pool -- 72) Starting Engine in PHREAK mode
15:48:00,115 TRACE [org.drools.core.phreak.AddRemoveRule] (ServerService Thread Pool -- 66) Adding Rule Create situation to represent exception
15:48:00,149 TRACE [org.drools.core.phreak.AddRemoveRule] (ServerService Thread Pool -- 72) Adding Rule Create situation to represent exception
15:48:00,175 TRACE [org.drools.core.reteoo.SegmentMemory] (ServerService Thread Pool -- 72) LinkNode notify=true nmask=1 smask=1 spos=0 rules=[RuleMem Create situation to represent exception]
15:48:00,176 TRACE [org.drools.core.reteoo.SegmentMemory] (ServerService Thread Pool -- 66) LinkNode notify=true nmask=1 smask=1 spos=0 rules=[RuleMem Create situation to represent exception]
15:48:00,192 FINEST [org.overlord.rtgov.ep.drools.DroolsEventProcessor] (ServerService Thread Pool -- 72) DroolsEventProcessor init: ruleName=SLAViolation session=org.drools.core.impl.StatefulKnowledgeSessionImpl@7b1868c3
15:48:00,192 FINEST [org.overlord.rtgov.ep.drools.DroolsEventProcessor] (ServerService Thread Pool -- 66) DroolsEventProcessor init: ruleName=RaiseSituationForException session=org.drools.core.impl.StatefulKnowledgeSessionImpl@7f861957

Two different rules are being initialized in separate threads, 'SLAViolation' and 'RaiseSituationForException'. However in the TRACE lines, it shows that one rules has been initialized in both threads.

Solution is to synchronize the creation of the session.
Comment 3 JBoss JIRA Server 2013-11-10 13:33:49 EST
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-312 to Resolved
Comment 4 Len DiMaggio 2013-11-11 12:12:19 EST
Gary - can you set the severity value for this bugzilla? Thanks!
Comment 5 Gary Brown 2013-11-12 14:39:01 EST
Removed sync based on reviewing David's code and discussion with Mark and Edson.
Comment 6 Jiri Pechanec 2014-01-07 08:34:51 EST
Verified in ER8
Comment 7 JBoss JIRA Server 2014-07-02 05:19:02 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-312 to Closed

Note You need to log in before you can comment on or make changes to this bug.